Bug 508729 - Trouble to build kaya-0.5.2 on F-11
Trouble to build kaya-0.5.2 on F-11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: 0xFFFF (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 12:34 EDT by Jochen Schmitt
Modified: 2009-09-12 22:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-12 22:22:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Build log of kaya-0.5.2 (9.94 KB, text/plain)
2009-06-29 12:34 EDT, Jochen Schmitt
no flags Details

  None (edit)
Description Jochen Schmitt 2009-06-29 12:34:11 EDT
Created attachment 349818 [details]
Build log of kaya-0.5.2

If I try to build kaya-0.5.2 on F-11, I will get the following error message:

REPL.hs:35:7:
    Could not find module `System.Console.Editline.Readline':
      Use -v to see a list of the files searched for.
make[2]: *** [kayac] Error 1
make[2]: Leaving directory `/home/s4504kr/cvs/fedora/kaya/devel/kaya-0.5.2/compiler'
make[1]: *** [compiler] Error 2

After I have posted this issue on the kaya development list, I have got a response, that another guy have the same issue on a Debian system and wrote, that this may be an issue of the GHC.

Tue whole build log is attached on this bug.
Comment 1 Jochen Schmitt 2009-07-08 14:50:51 EDT
On #3301 on the upstream bug tracking system I could read anything about migrating from System.Console.Editline.Readline to System.Console.Haskeline.

Unfortunately, Try to build agains Haskeline fails too.

So I have reopen the upstream bug and complaint that the developers of ghc shouldn't remove APs during a minor update of ghc.
Comment 2 Jens Petersen 2009-09-12 22:22:20 EDT
Thanks for packaging ghc-editline.

Note You need to log in before you can comment on or make changes to this bug.